summary refs log tree commit diff
path: root/bin/mpvplay
diff options
context:
space:
mode:
Diffstat (limited to 'bin/mpvplay')
-rwxr-xr-xbin/mpvplay9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/mpvplay b/bin/mpvplay
index 9c92516..c8078c5 100755
--- a/bin/mpvplay
+++ b/bin/mpvplay
@@ -16,4 +16,11 @@ notify-send \
 # fi
 
 # exec xap add -n "${uri}"
-exec mpv "${uri}"
+if ! mpv "${uri}"; then
+	notify-send \
+		-i "$(iconez -n mpv | grep 32)" \
+		-a mpv \
+		-c error \
+		'failed' \
+		"${uri}"
+fi